"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasRole = void 0;
function hasRole(user, checkingRoles) {
    if (!user || !user.roles)
        return false;
    const { roles } = user;
    if (typeof roles === 'string') {
        if (typeof checkingRoles === 'string') {
            return roles === checkingRoles;
        }
        else {
            return checkingRoles.findIndex(r => r === roles) > -1;
        }
    }
    if (Array.isArray(roles)) {
        if (typeof checkingRoles === 'string') {
            return roles.findIndex(r => r === checkingRoles) > -1;
        }
        else {
            return roles.some(r => checkingRoles.findIndex(cr => cr === r) > -1);
        }
    }
    return false;
}
exports.hasRole = hasRole;
//# sourceMappingURL=auth-functions.js.map