export declare function isValidEmailFormat(email: string): boolean;
export declare function isValidMobileFormat(email: string): boolean;
export declare function isValidPersianAlphabetFormat(text: string): boolean;
export declare function allCharsAreDigits(string: string): boolean;
export declare function isValidTimestamp(value: any): boolean;
export declare function isValidNumber(value: any): boolean;
export declare function isValidNationalID(value: string): boolean;
export declare function throwError(property: string, errorCode: string, errorText: string, fieldTranslation: string): void;
export declare function throwAdvancedError(property: string, errorCode: string, errorText: string, params: {
    [key: string]: string;
}): void;
export declare function createError(path: string, errorCode: string, errorText: string, params: {
    [key: string]: string;
}): {
    path: string;
    message: string;
    code: string;
    params: {
        [key: string]: string;
    };
};
